### Interface

# Phosh MMDBusObject

since: 0

#### Description [src]

    interface Phosh.MMDBusObject : Gio.DBusObject

The `PhoshMMDBusObject` type is a specialized container of interfaces.

Available since: 0

#### Prerequisite

In order to implement MMDBusObject, your type must inherit from`GDBusObject`.

#### Implementations

- PhoshMMDBusObjectProxy
- PhoshMMDBusObjectSkeleton

#### Instance methods

###### phosh_mm_dbus_object_get_modem

Gets the `PhoshMMDBusModem` instance for the D-Bus interface org.freedesktop.ModemManager1.Modem on `object`, if any.

since: 0

###### phosh_mm_dbus_object_get_modem_modem3gpp

Gets the `PhoshMMDBusModemModem3gpp` instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Modem3gpp on `object`, if any.

since: 0

###### phosh_mm_dbus_object_peek_modem

Like `phosh_mm_dbus_object_get_modem()` but doesn’t increase the reference count on the returned object.

since: 0

###### phosh_mm_dbus_object_peek_modem_modem3gpp

Like `phosh_mm_dbus_object_get_modem_modem3gpp()` but doesn’t increase the reference count on the returned object.

since: 0

#### Properties

###### Phosh.MMDBusObject:modem

The `PhoshMMDBusModem` instance corresponding to the D-Bus interface org.freedesktop.ModemManager1.Modem, if any.

since: 0

###### Phosh.MMDBusObject:modem-modem3gpp

The `PhoshMMDBusModemModem3gpp` instance corresponding to the D-Bus interface org.freedesktop.ModemManager1.Modem.Modem3gpp, if any.

since: 0

#### Interface structure

    struct PhoshMMDBusObjectIface {
      GTypeInterface parent_iface;

    }

Virtual table for the `PhoshMMDBusObject` interface.

###### Interface members

`parent_iface`

    GTypeInterface

| The parent interface.